Get Static Assets

Gets static assets for your project using the path parameter project_id. The response will include a list of static assets with their detail. The returned data can be filtered by asset, static_type, membership_type, last_applied_before and last_applied_after, if not provided, all assets will be returned.

In case the number of parameters exceeds the limit, default 100 and maximum 1000, scrolling will be used to retrieve the next page of results. The cursor are returned in the meta.pagination field of the response, which can be used to retrieve the next page of results. If the cursor is None, there are no more pages available to scroll.

Path Params
string
required

The ID of the project

Query Params
string

Filter by asset (exact string match)

string
enum

Filter by static type

Allowed:
string
enum

Filter by membership type

Allowed:
date-time

Filter by last applied before this date (YYYY-MM-DDTHH:MM:SS)

date-time

Filter by last applied after this date (YYYY-MM-DDTHH:MM:SS)

boolean
Defaults to false

Include records that has been deleted from project. Deleted records will contain deleted_at value key

integer
1 to 1000
Defaults to 100

Maximum number of results to return

Base 64 string for pagination included in meta.pagination.next_cursor field in previous response. If provided, will return the next page of results

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json